Qt 5.8 | Qt Sensors | C++ Classes | QMagnetometer

Qt 5.8.0 Reference Documentation

# QMagnetometer Class

The QMagnetometer class is a convenience wrapper around QSensor. More...

Header: | #include <QMagnetometer>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- returnGeoValues : bool

- 20 properties inherited from QSensor

## Public Functions

| QMagnetometer(QObject *parent = Q_NULLPTR)
virtual | ~QMagnetometer()
QMagnetometerReading * | reading() const
bool | returnGeoValues() const
void | setReturnGeoValues(bool returnGeoValues)

- 37 public functions inherited from QSensor

## Signals

void | returnGeoValuesChanged(bool returnGeoValues)

- 14 signals inherited from QSensor

### Additional Inherited Members

- 2 public slots inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QMagnetometer class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QMagnetometerReading instead of a QSensorReading.

For details about how the sensor works, see QMagnetometerReading.

See also QMagnetometerReading.

## Property Documentation

### returnGeoValues : bool

This property holds a value indicating if geomagnetic values should be returned.

Set to true to return geomagnetic flux density. Set to false (the default) to return raw magnetic flux density.

The property must be set before calling start().

Access functions:

bool | returnGeoValues() const
void | setReturnGeoValues(bool returnGeoValues)

Notifier signal:

void | returnGeoValuesChanged(bool returnGeoValues)

## Member Function Documentation

### QMagnetometer::QMagnetometer(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QMagnetometer::~QMagnetometer()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QMagnetometerReading *QMagnetometer::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().